Bug 250168 - 0launch fails completely on FC 7 (0.24 doesn't work with Python 2.5)
0launch fails completely on FC 7 (0.24 doesn't work with Python 2.5)
Product: Fedora
Classification: Fedora
Component: zeroinstall-injector (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-30 16:18 EDT by Thomas Leonard
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-14 00:05:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Suggested .spec file for version 0.30 (4.17 KB, text/plain)
2007-08-18 10:06 EDT, Thomas Leonard
no flags Details

  None (edit)
Description Thomas Leonard 2007-07-30 16:18:44 EDT
Description of problem:

Run 0launch on a fresh FC 7 install. It asks to upgrade the GUI. This fails, as
does trying to install anything else:

"Error fetching 'zeroinstall-gui-0.24.3.tar.bz2':

Incorrect manifest -- archive is corrupted.
Required digest: sha1new=52145efb97dc729009454d7b0201e40f3f2e90d9
Actual digest: sha1new=9f6ab44bafc9a917eccd1247f06144739bd92426"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Try to use it for anything.

Actual results:

"Incorrect manifest -- archive is corrupted."

Expected results:

Software installs.

Additional info:

This bug was fixed upstream in version 0.25, released 2007-01-23. Current
upstream version is 0.29.
Comment 1 Thomas Leonard 2007-07-31 13:48:17 EDT
Setting severity to High, as this bug makes the package unusable for all users.
Comment 2 Thomas Leonard 2007-08-18 08:26:08 EDT
Here's a user on the rox-users mailing list with this problem:

Comment 3 Thomas Leonard 2007-08-18 10:06:35 EDT
Created attachment 161795 [details]
Suggested .spec file for version 0.30
Comment 4 Michel Alexandre Salim 2007-09-05 22:37:15 EDT
spec file revised; updated package will be pushed to updates-testing as soon as
they are signed. Will close the bug when it makes -testing.
Comment 5 Fedora Update System 2007-09-07 13:17:05 EDT
zeroinstall-injector-0.30-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.